## org.eclipse.xsd
Interface XSDDiagnostic

All Superinterfaces:
  EObject, Notifier, Resource.Diagnostic, XSDConcreteComponent

All Known Implementing Classes:
  XSDDiagnosticImpl

    public interface XSDDiagnostic

extends XSDConcreteComponent, Resource.Diagnostic

A representation of the model object 'Diagnostic'.

See Also:
  `XSDPackage.getXSDDiagnostic()`

Field Summary
`static java.lang.String` `MARKER` This is the ID used for Eclipse markers that are based on diagnostics.
`static java.lang.String` `URI_FRAGMENT_ATTRIBUTE` This is the string for encoding a `URI fragment` for a diagnostic.

Method Summary
`java.lang.String` `getAnnotationURI()` Returns the value of the 'Annotation URI' attribute
`int` `getColumn()` Returns the value of the 'Column' attribute.
`EList<XSDConcreteComponent>` `getComponents()` Returns the value of the 'Components' reference list.
`java.lang.String` `getKey()` Returns the value of the 'Key' attribute
`int` `getLine()` Returns the value of the 'Line' attribute.
`java.lang.String` `getLocationURI()` Returns the value of the 'Location URI' attribute
`java.lang.String` `getMessage()` Returns the value of the 'Message' attribute
`org.w3c.dom.Node` `getNode()` Returns the value of the 'Node' attribute
`XSDConcreteComponent` `getPrimaryComponent()` Returns the value of the 'Primary Component' reference
`XSDDiagnosticSeverity` `getSeverity()` Returns the value of the 'Severity' attribute.
`EList<java.lang.String>` `getSubstitutions()` Returns the value of the 'Substitutions' attribute list.
`void` `setAnnotationURI(java.lang.String value)` Sets the value of the '`Annotation URI`' attribute
`void` `setColumn(int value)` Sets the value of the '`Column`' attribute
`void` `setKey(java.lang.String value)` Sets the value of the '`Key`' attribute
`void` `setLine(int value)` Sets the value of the '`Line`' attribute
`void` `setLocationURI(java.lang.String value)` Sets the value of the '`Location URI`' attribute
`void` `setMessage(java.lang.String value)` Sets the value of the '`Message`' attribute
`void` `setNode(org.w3c.dom.Node value)` Sets the value of the '`Node`' attribute
`void` `setPrimaryComponent(XSDConcreteComponent value)` Sets the value of the '`Primary Component`' reference
`void` `setSeverity(XSDDiagnosticSeverity value)` Sets the value of the '`Severity`' attribute

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, cloneConcreteComponent, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.resource.Resource.Diagnostic
`getLocation`

Field Detail

### MARKER

    static final java.lang.String MARKER

  This is the ID used for Eclipse markers that are based on diagnostics.

  See Also:
    Constant Field Values

### URI_FRAGMENT_ATTRIBUTE

    static final java.lang.String URI_FRAGMENT_ATTRIBUTE

  This is the string for encoding a `URI fragment` for a diagnostic.

  See Also:
    `Resource.getURIFragment(org.eclipse.emf.ecore.EObject)`, Constant Field Values

Method Detail

### getSeverity

    XSDDiagnosticSeverity getSeverity()

  Returns the value of the 'Severity' attribute. The literals are from the enumeration `XSDDiagnosticSeverity`. This indicates the how bad the problem is.

  Returns:
    the value of the 'Severity' attribute.
  See Also:
    `XSDDiagnosticSeverity`, `setSeverity(XSDDiagnosticSeverity)`, `XSDPackage.getXSDDiagnostic_Severity()`

### setSeverity

    void setSeverity(XSDDiagnosticSeverity value)

  Sets the value of the '`Severity`' attribute.

  Parameters:
    `value` - the new value of the 'Severity' attribute.
  See Also:
    `XSDDiagnosticSeverity`, `getSeverity()`

### getMessage

    java.lang.String getMessage()

  Returns the value of the 'Message' attribute.

  This describes the problem.

  Specified by:
    `getMessage` in interface `Resource.Diagnostic`
  Returns:
    the value of the 'Message' attribute.
  See Also:
    `setMessage(String)`, `XSDPackage.getXSDDiagnostic_Message()`

### setMessage

    void setMessage(java.lang.String value)

  Sets the value of the '`Message`' attribute.

  Parameters:
    `value` - the new value of the 'Message' attribute.
  See Also:
    `getMessage()`

### getLocationURI

    java.lang.String getLocationURI()

  Returns the value of the 'Location URI' attribute.

  This indicates the URI of the resource containing the problem.

  Returns:
    the value of the 'Location URI' attribute.
  See Also:
    `setLocationURI(String)`, `XSDPackage.getXSDDiagnostic_LocationURI()`

### setLocationURI

    void setLocationURI(java.lang.String value)

  Sets the value of the '`Location URI`' attribute.

  Parameters:
    `value` - the new value of the 'Location URI' attribute.
  See Also:
    `getLocationURI()`

### getLine

    int getLine()

  Returns the value of the 'Line' attribute. The default value is `"1"`.

  This indicates the line number within the resource containing the problem.

  Specified by:
    `getLine` in interface `Resource.Diagnostic`
  Returns:
    the value of the 'Line' attribute.
  See Also:
    `setLine(int)`, `XSDPackage.getXSDDiagnostic_Line()`

### setLine

    void setLine(int value)

  Sets the value of the '`Line`' attribute.

  Parameters:
    `value` - the new value of the 'Line' attribute.
  See Also:
    `getLine()`

### getColumn

    int getColumn()

  Returns the value of the 'Column' attribute. The default value is `"1"`.

  This indicates the column number within the line of the resource containing the problem.

  Specified by:
    `getColumn` in interface `Resource.Diagnostic`
  Returns:
    the value of the 'Column' attribute.
  See Also:
    `setColumn(int)`, `XSDPackage.getXSDDiagnostic_Column()`

### setColumn

    void setColumn(int value)

  Sets the value of the '`Column`' attribute.

  Parameters:
    `value` - the new value of the 'Column' attribute.
  See Also:
    `getColumn()`

### getNode

    org.w3c.dom.Node getNode()

  Returns the value of the 'Node' attribute.

  This indicates the DOM node at which the problem occurs.

  Returns:
    the value of the 'Node' attribute.
  See Also:
    `setNode(Node)`, `XSDPackage.getXSDDiagnostic_Node()`

### setNode

    void setNode(org.w3c.dom.Node value)

  Sets the value of the '`Node`' attribute.

  Parameters:
    `value` - the new value of the 'Node' attribute.
  See Also:
    `getNode()`

### getAnnotationURI

    java.lang.String getAnnotationURI()

  Returns the value of the 'Annotation URI' attribute.

  This provides a URI that can be used to locate more detailed documentation of the general type of problem encountered.

  Returns:
    the value of the 'Annotation URI' attribute.
  See Also:
    `setAnnotationURI(String)`, `XSDPackage.getXSDDiagnostic_AnnotationURI()`

### setAnnotationURI

    void setAnnotationURI(java.lang.String value)

  Sets the value of the '`Annotation URI`' attribute.

  Parameters:
    `value` - the new value of the 'Annotation URI' attribute.
  See Also:
    `getAnnotationURI()`

### getKey

    java.lang.String getKey()

  Returns the value of the 'Key' attribute.

  This represents a unique key used to load the message.

  Returns:
    the value of the 'Key' attribute.
  See Also:
    `setKey(String)`, `XSDPackage.getXSDDiagnostic_Key()`

### setKey

    void setKey(java.lang.String value)

  Sets the value of the '`Key`' attribute.

  Parameters:
    `value` - the new value of the 'Key' attribute.
  See Also:
    `getKey()`

### getSubstitutions

    EList<java.lang.String> getSubstitutions()

  Returns the value of the 'Substitutions' attribute list. The list contents are of type `String`.

  This represents the substitutions within the message.

  Returns:
    the value of the 'Substitutions' attribute list.
  See Also:
    `XSDPackage.getXSDDiagnostic_Substitutions()`

### getComponents

    EList<XSDConcreteComponent> getComponents()

  Returns the value of the 'Components' reference list. The list contents are of type `XSDConcreteComponent`.

  This represents the components associated with the problem; the first component is al the `primary` component.

  Returns:
    the value of the 'Components' reference list.
  See Also:
    `XSDPackage.getXSDDiagnostic_Components()`

### getPrimaryComponent

    XSDConcreteComponent getPrimaryComponent()

  Returns the value of the 'Primary Component' reference.

  This represents the component most directly associated with the problem.

  Returns:
    the value of the 'Primary Component' reference.
  See Also:
    `setPrimaryComponent(XSDConcreteComponent)`, `XSDPackage.getXSDDiagnostic_PrimaryComponent()`

### setPrimaryComponent

    void setPrimaryComponent(XSDConcreteComponent value)

  Sets the value of the '`Primary Component`' reference.

  Parameters:
    `value` - the new value of the 'Primary Component' reference.
  See Also:
    `getPrimaryComponent()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.